API Reference
Update Subscription
UpdateSubscription updates the subscription for the given Organisation. This endpoint can be used to increase the board quota of an organisation. It will update the billing information to reflect the amount of boards that are allowed to be published.
PUT
/
organisations
/
{organisation_id}
/
billing
/
update-subscription
Update Subscription
curl --request PUT \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"boardQuota": 123
}
'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription"
payload = { "boardQuota": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({boardQuota: 123})
};
fetch('https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'boardQuota' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription"
payload := strings.NewReader("{\n \"boardQuota\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"boardQuota\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"boardQuota\": 123\n}"
response = http.request(request)
puts response.read_body{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}Authorizations
Body
application/json
Response
No Content
⌘I
Update Subscription
curl --request PUT \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"boardQuota": 123
}
'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription"
payload = { "boardQuota": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({boardQuota: 123})
};
fetch('https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'boardQuota' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription"
payload := strings.NewReader("{\n \"boardQuota\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"boardQuota\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/billing/update-subscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"boardQuota\": 123\n}"
response = http.request(request)
puts response.read_body{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}